Get Video
curl --request GET \
--url https://easy-peasy.ai/api/get-video \
--header 'x-api-key: <api-key>'import requests
url = "https://easy-peasy.ai/api/get-video"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://easy-peasy.ai/api/get-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video": {
"id": 12345,
"prompt": "A cat walking on the beach at sunset",
"url": "",
"model": "Veo 3.1 Fast",
"status": "processing",
"created_at": "2025-01-15T10:30:00.000Z",
"request": {
"duration": "5",
"aspectRatio": "16:9",
"isTextToVideo": true,
"isImageToVideo": false
}
}
}Video Generation
Get Video
Retrieve the status and result of a video generation request. Since video generation is asynchronous (typically 1–5 minutes), poll this endpoint every 15–30 seconds until the status is completed and the url field contains the video URL.
GET
/
api
/
get-video
Get Video
Authorizations
API key for authentication. Get yours at https://easy-peasy.ai/settings/api
Headers
Your API key
Query Parameters
The video ID returned from the Generate Video endpoint
Response
Video data
Show child attributes
Show child attributes
Was this page helpful?
⌘I
